rem --------------------------------------------------------------
rem Konverter Postscript Ausdruck zu SMTP Mail
rem Frank Carius, frank.carius@netatwork.de
rem Diese Job wird durch "REDMON" aufgerufen, welcher als Portmonitor
rem die Ausgaben eines Postscript Treibers umleitet.
rem Die PS Datei wird mit Ghostscript in PDF konvertiert und per 
rem SMTP an den Auftraggeber zurckgesendet
rem --------------------------------------------------------------

set pdf2smtplog="c:\Programme\gs\redmon\pdf2smtp.log"
set pdf2smtpgs="c:\programme\gs\gs8.11\bin\gswin32c.exe"
set pdf2smtpblat="c:\Programme\gs\redmon\blat.exe"
set maildomain="netatwork.de
set mailserver="mail.netatwork.de"

echo PDF2STMP %DATE% %TIME% gestartet -------------------------------- >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_PORT      = %REDMON_PORT%           >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_JOB       = %REDMON_JOB%            >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_PRINTER   = %REDMON_PRINTER%        >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_MACHINE   = %REDMON_MACHINE%        >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_USER      = %REDMON_USER%           >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_DOCNAME   = %REDMON_DOCNAME%        >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_FILENAME  = %REDMON_FILENAME%       >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% REDMON_SESSIONID = %REDMON_SESSIONID%      >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% Inputfile        = %1                      >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% TEMP-Pfad        = %TEMP%                  >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% GS-Pfad          = %pdf2smtpgs%            >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% Blat-Pfad        = %pdf2smtpblat%          >>%pdf2smtplog%

set BODYFILE="%TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.TXT"
set PDFFILE="%TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.PDF"
echo PDF2STMP %DATE% %TIME% BODYFILE         = %BODYFILE%              >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% PDFFILE          = %PDFFILE%               >>%pdf2smtplog%

echo PDF2STMP %DATE% %TIME% GS Konvertierung startet Input %1          >>%pdf2smtplog%
echo PDF2STMP %DATE% %TIME% GS Konvertierung startet Output %PDFFILE%  >>%pdf2smtplog%
start "PDF2SMTP GSKonvert" /WAIT %pdf2smtpgs% -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -dPDFSETTINGS=/default -dCompatibilityLevel=1.4 -sOutputFile=%PDFFILE% %1
echo PDF2STMP %DATE% %TIME% GS Konvertierung beendet >>%pdf2smtplog%

echo PDF2STMP %DATE% %TIME% Sende Anlage per Mail an %REDMON_USER%@%maildomain% >>%pdf2smtplog%
echo Ihr Konvertierungsauftrag wurde ausgefhrt           > %BODYFILE%
echo Sie finden Die PDF-Datei als Anlage an diese Mail    >>%BODYFILE%
echo ---------------------------------------------------  >>%BODYFILE%
echo Ausdruck erzeugt von: %REDMON_USER%                  >>%BODYFILE%
echo Computer            : %REDMON_MACHINE%               >>%BODYFILE%
echo Drucker             : %REDMON_PRINTER%               >>%BODYFILE%
echo Dokumentname        : %REDMON_DOCNAME%               >>%BODYFILE%
echo Jobnummer           : %REDMON_JOB%                   >>%BODYFILE%
echo ---------------------------------------------------  >>%BODYFILE%
echo Erstellt von PDF2SMTP Version 1.0 am %DATE% %TIME%   >>%BODYFILE%
start "PDF2SMTP Blat" /WAIT %pdf2smtpblat%  %BODYFILE% -server %mailserver% -f pdf2smtp@%maildomain% -t %REDMON_USER%@%maildomain% -s %REDMON_DOCNAME% -attach %TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.PDF >>%pdf2smtplog%

echo PDF2STMP %DATE% %TIME% Cleanup                                    >>%pdf2smtplog%
del %BODYFILE%
del "%TEMP%\%REDMON_USER%-%REDMON_DOCNAME%-%REDMON_JOB%.PDF"
echo PDF2STMP %DATE% %TIME% Beendet -------------------------------- >>%pdf2smtplog%
